<?xml version="1.0" encoding="UTF-8"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->


<document>
  <properties>
    <title>Maven Release Plug-in Goals</title>
  </properties>
  <body>
    <goals>
      <goal>
        <name>convert-snapshots</name>
        <description>
        </description>
      </goal>
      <goal>
        <name>convert-snapshots-auto</name>
        <description>
        </description>
      </goal>
      <goal>
        <name>increment-snapshot-version</name>
        <description>
        </description>
      </goal>
      <goal>
        <name>release</name>
        <description>
        </description>
      </goal>
      <goal>
        <name>release:build-distribution-bin</name>
        <description>
            Builds binary distribution.  Uses <code>maven.release.distribution.categories</code> property
            to separated dependencies in categories and corresponding distribution directories.
            Users can postGoal <code>release:setup-distribution-bin</code> with custom additional 
            distribution content.
        </description>
      </goal>
      <goal>
        <name>release:build-distribution-src</name>
        <description>
            Builds source distribution from source control using SCM plugin.
        </description>
      </goal>
      <goal>
        <name>release:deploy-distribution-bin</name>
        <description>
            Deploys binary distribution built via <code>release:build-distribution-bin</code>
        </description>
      </goal>
      <goal>
        <name>release:deploy-distribution-src</name>
        <description>
            Deploys source distribution built via <code>release:build-distribution-src</code>
        </description>
      </goal>
      <goal>
        <name>validate-pom-for-release</name>
        <description>
        </description>
      </goal>
    </goals>
  </body>
</document>